[metadata]
name = drb-driver-java
author = GAEL Systems
author_email = drb-python@gael.fr
description = DRB Java Driver
long_description = file: README.md
long_description_content_type = text/markdown
license = LGPLv3
license_files = LICENCE.txt
classifiers =
    Programming Language :: Python :: 3.8
    License :: OSI Approved :: GNU Lesser General Public License v3 (LGPLv3)
    Operating System :: OS Independent
url = https://gitlab.com/drb-python/impl/java
project_urls =
    Documentation = https://drb-python.gitlab.io/impl/java
    Source = https://gitlab.com/drb-python/impl/java'

[options]
zip_safe = False
packages = find_namespace:
include_package_data = True
python_requires= >=3.8
install_requires = file: requirements.txt
setup_requires =
    cython

[options.packages.find]
include =
    drb.*
exclude =
    tests*
    docs*

[options.package_data]
drb.drivers.java.libs =
    *.jar

[options.entry_points]
drb.driver =
    java = drb.drivers.java:DrbJavaFactory
drb.driver.java =
    jar = drb.drivers.java.libs

[versioneer]
VCS = git
style = pep440
versionfile_source =  drb/drivers/java/_version.py
versionfile_build = drb/drivers/java/_version.py
tag_prefix =
parentdir_prefix =

